# $Revision: 1.42 $, $Date: 2007-04-17 11:32:23 $
#
# Conditional build:
%bcond_without	doc	# do not build documentation
#
%define	_ver	%(echo %{version} | tr . _)
Summary:	XSLT processor for Java
Summary(pl.UTF-8):	Procesor XSLT napisany w Javie
Name:		xalan-j
Version:	2.7.0
Release:	4
License:	Apache v2.0
Group:		Applications/Publishing/XML/Java
Source0:	http://www.apache.org/dist/xml/xalan-j/source/%{name}_%{_ver}-src.tar.gz
# Source0-md5:	7859a78a5564cae42c933adcbbecdd01
Patch0:		%{name}-javadoc-mem.patch
URL:		http://xml.apache.org/xalan-j/
BuildRequires:	ant >= 1.5
BuildRequires:	jakarta-bcel
BuildRequires:	java_cup
BuildRequires:	jaxp_parser_impl
BuildRequires:	jdk >= 1.2
BuildRequires:	jlex
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	xml-commons-external >= 1.3
# servlet provided by jakarta-servletapi.spec
# also resin.spec, resin-cmp.spec seem to provide it by simple grep.
BuildRequires:	servlet
Requires:	jaxp_parser_impl
Requires:	jre >= 1.2
Provides:	jaxp_transform_impl
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XSLT processor for Java.

%description -l pl.UTF-8
Procesor XSLT napisany w Javie.

%package javadoc
Summary:	API documentation for xalan-j, an XSLT processor for Java
Summary(pl.UTF-8):	Dokumentacja API dla xalan-j, procesora XSLT napisanego w Javie
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	xalan-j-doc

%description javadoc
API documentation for xalan-j, an XSLT processor for Java.

%description javadoc -l pl.UTF-8
Dokumentacja API dla xalan-j, procesora XSLT napisanego w Javie.

%package examples
Summary:	Xalan-j, an XSLT processor for Java examples
Summary(pl.UTF-8):	Przykłady dla xalan-j, procesora XSLT napisanego w Javie
Group:		Documentation

%description examples
Xalan-j, an XSLT processor for Java examples.

%description examples -l pl.UTF-8
Przykłady dla xalan-j, procesora XSLT napisanego w Javie.

%prep
%setup -q -n %{name}_%{_ver}
%patch0 -p1

find . -name "*.jar" ! -name "xalan2jdoc.jar" ! -name "stylebook-1.0-b3_xalan-2.jar" -exec rm -f {} \;

# copied to xalan.jar (TODO: don't do it and use system ones?)
ln -sf %{_javadir}/bcel.jar lib/BCEL.jar
ln -sf %{_javadir}/regexp.jar lib/regexp.jar
ln -sf %{_javadir}/java_cup-runtime.jar lib/runtime.jar

%build
export JAVA_HOME=%{java_home}
export JAVAC=%{javac}
export JAVA=%{java}
required_jars='servlet java_cup java_cup-runtime jlex bcel jaxp_parser_impl xml-apis'
export CLASSPATH="`/usr/bin/build-classpath $required_jars`"

%ant xsltc.unbundledjar servlet %{?with_doc:docs xsltc.docs javadocs samples}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_examplesdir},%{_javadocdir}/%{name}-%{version}}

install build/serializer.jar $RPM_BUILD_ROOT%{_javadir}/serializer-%{version}.jar
install build/xalan.jar $RPM_BUILD_ROOT%{_javadir}/xalan-%{version}.jar
install build/xsltc.jar $RPM_BUILD_ROOT%{_javadir}/xsltc-%{version}.jar
ln -sf serializer-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/serializer.jar
ln -sf xalan-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xalan.jar
ln -sf xalan-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jaxp_transform_impl.jar
ln -sf xsltc-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xsltc.jar

%if %{with doc}
cp -r samples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r build/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{?with_doc:build/docs/design build/docs/xsltc}
%{_javadir}/*.jar

%if %{with doc}
%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xalan-j.spec,v $
Revision 1.42  2007-04-17 11:32:23  glen
- unify docs->doc bcond

Revision 1.41  2007/03/08 17:45:51  arekm
- drop comment; no longer valid

Revision 1.40  2007/03/08 17:22:06  qrczak
- Updated bcond's comment.

Revision 1.39  2007/03/08 16:58:15  arekm
- rel 4; increase mem limit for javadoc

Revision 1.38  2007/03/05 07:00:45  arekm
- rel 3; include serializer.jar

Revision 1.37  2007/03/04 20:54:44  arekm
- rel 2

Revision 1.36  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.34  2007/01/07 19:47:08  qboosh
- needs xml-apis.jar from new xml-commons-external to compile

Revision 1.33  2007/01/06 19:16:58  qboosh
- removed obsolete dom3 path, updated ln paths; still doesn't build

Revision 1.32  2007/01/05 17:47:07  arekm
- up to 2.7.0

Revision 1.31  2006/12/08 10:08:02  qboosh
- summaries fixed

Revision 1.30  2006/12/08 09:48:23  glen
- -javadoc R: jpackage-utils for parent dirs; rel 5

Revision 1.29  2006/09/19 22:57:10  glen
- JAVA_HOME must be set before build-classpath is called

Revision 1.28  2006/09/12 14:17:20  glen
- unify %ant macro

Revision 1.27  2006/05/24 13:05:00  jajcus
- Release: 4
- CVS conflict artefacts removed

Revision 1.26  2006/05/24 13:00:27  jajcus
- Release: 3
- without_docs bcond
- dropped R: xml-commons

Revision 1.25  2006/05/24 12:49:03  qboosh
- no macro in Obsoletes for old package

Revision 1.24  2006/05/24 12:19:17  jajcus
- BR: jpackage-utils
- ExclusiveArch
- API documentation moved to javadoc subpackage
- examples subpackage added
- versioned JARs, unversioned links

Revision 1.23  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.22  2006/05/23 18:16:45  radek
- pl summary for -doc

Revision 1.21  2006/05/23 18:01:37  radek
- unified License field

Revision 1.20  2006/05/23 18:00:18  radek
- release 2: separated doc subpackage, use macros; builds now
- License: apache v2, removed LICENSE file
- added NOTICE file, cosmetics

Revision 1.19  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.18  2005/08/14 11:49:39  glen
- more servlet implementors

Revision 1.17  2005/08/14 11:45:52  glen
- info where to find BR: servlet

Revision 1.16  2005/05/07 16:06:32  qboosh
- added dom3 patch; now builds with latest xerces-j

Revision 1.15  2004/08/16 10:10:22  luzik
- updated to 2.6.0
- fixed %files

Revision 1.14  2003/09/09 15:18:26  mick3y
- s/_javalibdir/_javadir/g

Revision 1.13  2003/07/02 11:32:46  pascalek
- updated to 2.5.1

Revision 1.12  2003/05/28 13:03:01  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:28:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/04 10:24:41  pascalek
- jars moved to %_datadir/java

Revision 1.9  2003/04/04 08:58:00  pascalek
- updated to 2.5.D1

Revision 1.8  2002/08/31 09:19:13  qboosh
- updated to 2.3.1
- previous build patch not needed (PARSER_JAR can be passed through environment)
  but added new build patch with compilation fix
- completed License (xalan contains some w3c classes on W3C license)

Revision 1.7  2002/08/18 17:17:29  blues
- release 5 - license fix, new doc

Revision 1.6  2002/03/13 18:11:05  aflinta
- changed JAVA_HOME path to proper directory
- release 4

Revision 1.5  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/11 13:09:59  wrobell
- clean up

Revision 1.3  2002/02/06 16:17:47  wrobell
- added xml-apis.jar to files - java people really sucks! - they just
  should integrate full jvm within every package - yeah! :-(
- rel. 3

Revision 1.2  2002/01/29 09:45:40  wrobell
- java class directory changed to %{_libdir}/java
- build optimized
- prep stuff move to %prep section
- rel. 2

Revision 1.1  2002/01/28 15:46:51  wrobell
- Java XSLT processor - based on xerces-j.spec
